               _ _    _ _          _     _
              (_) |  (_) |        | |   (_)
      ___  ___ _| | ___| |_ ______| |__  _  ___
     / __|/ __| | |/ / | __|______| '_ \| |/ _ \
     \__ \ (__| |   <| | |_       | |_) | | (_) |
     |___/\___|_|_|\_\_|\__|      |_.__/|_|\___/


           Opisthokonta
                   \  Amoebozoa
                    \ /
                     *    Euryarchaeota
                      \     |_ Crenarchaeota
                       \   *
                        \ /
                         *
                        /
                       /
                      /
                     *
                    / \
                   /   \
        Proteobacteria  \
                       Cyanobacteria
    
    
---
[![Build Status](https://travis-ci.org/biocore/scikit-bio.png?branch=master)](https://travis-ci.org/biocore/scikit-bio) [![Coverage Status](https://coveralls.io/repos/biocore/scikit-bio/badge.png)](https://coveralls.io/r/biocore/scikit-bio)

Core objects, functions and statistics for working with biological data in Python.

To view scikit-bio's documentation, visit [scikit-bio.org](http://scikit-bio.org).

**Note:** scikit-bio is currently under active development and its API is not
stable. Major compatibility-breaking API changes will likely happen as
development progresses. Once the API has started to solidify and we have an
official release, we will strive to maintain backwards compatibility, provide
deprecation warnings, etc. wherever possible. In the meantime, feel free to try
out scikit-bio and let us know what you think!

Licensing
---------

scikit-bio is available under the new BSD license. See
[COPYING.txt](COPYING.txt) for scikit-bio's license, and the ```licenses```
directory for the licenses of other software that is (either partially or
entirely) distributed with scikit-bio.

Installation
------------

In order to install scikit-bio:

    pip install numpy
    pip install scikit-bio

If you'd like to install the dependencies manually (or some other way than using pip), you can find those here:

- [Python](http://www.python.org/) 2.7
- [numpy](http://www.numpy.org/) >= 1.7
- [scipy](http://www.scipy.org/) >= 0.13.0
- [matplotlib](http://www.matplotlib.org/) >= 1.1.0
- [pandas](http://pandas.pydata.org/)
- [future](https://pypi.python.org/pypi/future) 

Projects using scikit-bio
-------------------------

- [QIIME](http://qiime.org/) 
- [EMPeror](http://biocore.github.io/emperor/)
- [An Introduction to Applied Bioinformatics](http://caporasolab.us/An-Introduction-To-Applied-Bioinformatics/)

If you're using scikit-bio in your own projects, you should issue a pull request adding them to this list.

scikit-bio development
----------------------

If you're interested in getting involved in or learning about scikit-bio development, see [CONTRIBUTING.md](CONTRIBUTING.md), in this directory.

See the [list of all of scikit-bio's contributors](https://github.com/biocore/scikit-bio/graphs/contributors).

Summaries of our weekly developer meetings are posted on HackPad. Click [here](https://hackpad.com/2014-scikit-bio-developer-meeting-notes-1S2RbMqy0iM) to view the meeting notes for 2014.

The pre-history of scikit-bio
-----------------------------

scikit-bio began from code derived from [PyCogent](http://www.pycogent.org) and
[QIIME](http://www.qiime.org), and the contributors and/or copyright holders
have agreed to make the code they wrote for PyCogent and/or QIIME available
under the BSD license. The contributors to PyCogent and/or QIIME modules that
have been ported to scikit-bio are: Rob Knight
([@rob-knight](https://github.com/rob-knight)), Gavin Huttley
([@gavin-huttley](https://github.com/gavin-huttley)), Daniel McDonald
([@wasade](https://github.com/wasade)), Micah Hamady, Antonio Gonzalez
([@antgonza](https://github.com/antgonza)), Sandra Smit, Greg Caporaso
([@gregcaporaso](https://github.com/gregcaporaso)), Jai Ram Rideout
([@ElBrogrammer](https://github.com/ElBrogrammer)), Cathy Lozupone
([@clozupone](clozupone)), Mike Robeson
([@mikerobeson](https://github.com/mikerobeson)), Marcin Cieslik, Peter
Maxwell, Jeremy Widmann, Zongzhi Liu, Michael Dwan, Logan Knecht
([@loganknecht](https://github.com/loganknecht)), Andrew Cochran, Jose Carlos
Clemente ([@cleme](https://github.com/cleme)), Damien Coy, Levi McCracken,
Andrew Butterfield, Will Van Treuren ([@wdwvt1](https://github.com/wdwvt1)),
Justin Kuczynski ([@justin212k](https://github.com/justin212k)), and Jose
Antonio Navas Molina ([@josenavas](https://github.com/josenavas)).

Logo
----
scikit-bio ASCII art created by [@gregcaporaso](https://github.com/gregcaporaso). Text logo created at [patorjk.com](http://patorjk.com/software/taag/).
